
#include <WFX/scene/Color.h>

using namespace WFX::scene;

const Color Color::RED(1.0f,0.0f,0.0f);
const Color Color::GREEN(0.0f,1.0f,0.0f);
const Color Color::BLUE(0.0f,0.0f,1.0f);
const Color Color::WHITE(1.0f,1.0f,1.0f);
const Color Color::BLACK(0.0f,0.0f,0.0f);

Color::Color() {
     R = G = B = A = 1.0f;
}

Color::Color(Real r, Real g, Real b) : R(validate(r)), 
                                       G(validate(g)), 
                                       B(validate(b)) {
    A = 1.0f;
}

Color::Color(Real r, Real g, Real b, Real a) : R(validate(r)),
                                               G(validate(g)), 
                                               B(validate(b)),
                                               A(validate(a)) {
}

Color::Color(const Color& c) : R(c.R),
                               G(c.G), 
                               B(c.B),
                               A(c.A) {
}

void Color::printDebug() const {
    LOG("Color: |" << R << "| | " << G << "| | " << B << "| | "<< A << "|");
}


